## libcommuni 3.7.0

=== debian/changelog ===
libcommuni (3.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062258

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:34:19 +0000

libcommuni (3.7.0-2) unstable; urgency=medium

  * Unmodified source-only upload.

 -- Tobias Frost <tobi@debian.org>  Wed, 10 Aug 2022 15:40:06 +0200

libcommuni (3.7.0-1) unstable; urgency=medium

  * Initial Packaging. Closes: #1016726

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Aug 2022 18:55:31 +0200
