=== debian/control ===
Source: libcommuni
Section: libs
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Homepage: https://communi.github.io/
Vcs-Git: https://salsa.debian.org/debian/libcommuni.git
Vcs-Browser: https://salsa.debian.org/debian/libcommuni
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (=13),
               libssl-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Build-Depends-Indep: doxygen <!nodoc>,
                     graphviz <!nodoc>
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: libirccore3t64
Provides: ${t64:Provides}
Replaces: libirccore3
Breaks: libirccore3 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: cross-platform IRC framework written with Qt (Core classes)
 Communi is a cross-platform IRC framework written with Qt.
 .
 Communi provides a set of tools for enabling IRC connectivity in
 Qt-based C++ and QML applications.
 .
 This library contains the IRC Core classes,
 to manage IRC connections, receive messages and send commands.

Package: libircmodel3t64
Provides: ${t64:Provides}
Replaces: libircmodel3
Breaks: libircmodel3 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: cross-platform IRC framework written with Qt  (IRC Model classes)
 Communi is a cross-platform IRC framework written with Qt.
 .
 Communi provides a set of tools for enabling IRC connectivity in
 Qt-based C++ and QML applications.
 .
 This library contains the IRC Model classes to keep track of queries,
 channels and users.

Package: libircutil3t64
Provides: ${t64:Provides}
Replaces: libircutil3
Breaks: libircutil3 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: cross-platform IRC framework written with Qt (Util classes)
 Communi is a cross-platform IRC framework written with Qt.
 .
 Communi provides a set of tools for enabling IRC connectivity in
 Qt-based C++ and QML applications.
 .
 This library contains Miscellaneous utility classes for common IRC
 client related needs.

Package: qml-module-communi
Architecture: any
Depends: libirccore3t64 (= ${binary:Version}),
         libircmodel3t64 (= ${binary:Version}),
         libircutil3t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: cross-platform IRC framework written with Qt (QML modules)
 Communi is a cross-platform IRC framework written with Qt.
 .
 Communi provides a set of tools for enabling IRC connectivity in
 Qt-based C++ and QML applications.
 .
 This package contains the QML module to use communi from a pure QML
 application.

Package: libcommuni-dev
Architecture: any
Section: libdevel
Depends: libirccore3t64 (= ${binary:Version}),
         libircmodel3t64 (= ${binary:Version}),
         libircutil3t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: cross-platform IRC framework written with Qt (development files)
 Communi is a cross-platform IRC framework written with Qt.
 .
 Communi provides a set of tools for enabling IRC connectivity in
 Qt-based C++ and QML applications.
 .
 This package contains the header development files and programs for
 developing with communi.

Package: libcommuni-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: cross-platform IRC framework written with Qt (API documentation)
 Communi is a cross-platform IRC framework written with Qt.
 .
 Communi provides a set of tools for enabling IRC connectivity in
 Qt-based C++ and QML applications.
 .
 This package contains the doxygen generated API documentation.
