=== debian/tests/control ===
Tests: build-tests
Depends: libcommuni-dev, @builddeps@
Restrictions: allow-stderr
