=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libcommuni-$1\.tar\.gz/ \
  https://github.com/communi/libcommuni/tags .*/v?(\d\S+)\.tar\.gz
